org.gnome.gtk

## Class DataColumnInteger

- Object
- - org.gnome.gtk.DataColumn
  - - org.gnome.gtk.DataColumnInteger

-     public final class DataColumnInteger
      extends DataColumn

  A column of `int` values in a TreeModel.

  Note that DataColumnInteger is used for passing information to CellRenderer property setters which take numeric values, not for rendering the numbers themselves.

  To actually present numeric data in a TreeView, convert it to a String on the Java side first and to store the data in a DataColumnString. This, however, sometimes disrupts the natural sorting order of the numeric data (and certainly will if arbitrary formatting or markup is applied) and so an additional column of type DataColumnInteger can be added containing the original numeric data as a sort index and applied to the TreeViewColumn presenting that data with its `setSortColumn()`.

  See `DataColumn` for the full discussion of how to employ this family of classes.

  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataColumnInteger()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataColumnInteger

          public DataColumnInteger()